\name{GDALDataset}
\alias{GDALDataset}
\alias{putRasterData}
\title{GDAL Dataset Object}
\description{
  \code{GDALDataset} extends \code{\link{GDALReadOnlyDataset}} with data
  update commands.
}
\usage{
new(classname, filename, handle = NULL)

putRasterData(dataset, rasterData, band = 1, offset = c(0, 0))
}
\arguments{
  \item{classname}{One of ''GDALDataset' or 'GDALTransientDataset'}
  
  \item{filename}{A string giving the file to read from or copy to}

  \item{handle}{Used internally; not for public consumption}
  
  \item{dataset}{An object inheriting from class 'GDALDataset'}

  \item{rasterData}{A data array with \code{length(dim(rasterData)) = 2}}
  
  \item{band}{The band number (1-based) to read from}

  \item{offset}{Number of rows and columns from the origin (usually the
    upper left corner) to begin reading from}

}
\details{
  \describe{
    \item{\code{new}:}{returns an dataset object pointing to an GDAL
      dataset. All resource allocated by the low-level GDAL routines
      will automatically be freed when the dataset object is garbage
      collected.} 
    
    \item{\code{putRasterData}:}{writes data contained in
      \code{rasteData} to the dataset, begining at \code{offset} rows
      and columns from the origin (usually the upper left corner). Data
      type conversion is automatic.}
  }
}

\references{} \author{Timothy H. Keitt}

\seealso{See also \code{\link{GDALDriver}},
  \code{\link{GDALReadOnlyDataset}}, \code{\link{GDALTransientDataset}}.}

\examples{}

\keyword{methods}
