\name{GDALDriver}
\alias{GDALDriver}
\alias{getGDALDriverNames}
\alias{getDriverName}
\alias{getDriverLongName}
\title{GDAL Driver Object}
\description{
  \code{GDALDriver} objects encapsulate GDAL file format
  drivers. \code{GDALDriver} inherits from \code{\link{GDALMajorObject}}.
}
\usage{
new(classname, drivername, handle = NULL)

getGDALDriverNames()

getDriverName(driver)

getDriverLongName(driver)
}
\arguments{
  \item{classname}{"GDALDriver"}
  
  \item{drivername}{A string giving the name of a GDAL driver}
  
  \item{handle}{Used internally; not for public consumption}
  
  \item{driver}{An object inheriting from class 'GDALDriver'}
}
\details{
  \describe{
    \item{\code{new}:}{returns a driver object pointing to a GDAL
      driver. All resource allocated by the low-level GDAL routines will
      automatically be freed when the dataset object is garbage collected.}
  
    \item{\code{showGDALDriverNames}:}{returns all driver names currently
      installed in GDAL.}
  
    \item{\code{getDriverName}:}{returns the GDAL driver name associated
      with the driver object.}

    \item{\code{getDriverLongName}:}{returns a longer driver name.}
  }
}

\references{}

\author{Timothy H. Keitt}

\seealso{See also \code{\link{GDALMajorObject}}.}

\examples{

driver <- new('GDALDriver', getGDALDriverNames()[1])

getDriverName(driver)

getDriverLongName(driver)

rm(driver)

}

\keyword{methods}

