\name{GDALTransientDataset}
\alias{GDALTransientDataset}
\title{GDAL Transient Dataset Object}
\description{
  \code{GDALTransientDataset} is identical to \code{\link{GDALDataset}}
  except that transient datasets are not associated with any
  user-visible file. Transient datasets delete their associated file
  data when closed. See \code{\link{saveDataset}} and
  \code{\link{saveDatasetAs}}.
}
\usage{
new(classname, driver, rows, cols, bands = 1,
    type = 'Byte', options = '', handle = NULL) 
}
\arguments{
  \item{classname}{Must be "GDALTransientDataset" or an inherited class}

  \item{driver}{A "GDALDriver" object that determines the storage
    format}

  \item{rows}{Number of rows in the newly created dataset}

  \item{cols}{Number of columns in the newly created dataset}
  
  \item{bands}{Number of bands to create}

  \item{type}{A GDAL type name as listed in \code{.GDALDataTypes}}

  \item{options}{Driver specific options (currently ignored)}

  \item{handle}{Used internally; not for public consumption}
}
\details{
  \describe{
    \item{\code{new}:}{returns an dataset object pointing to a GDAL
      dataset. All resource allocated by the low-level GDAL routines
      will automatically be freed when the dataset object is garbage
      collected.} 
  }
}

\references{} \author{Timothy H. Keitt}

\seealso{See also \code{\link{GDALDriver}},
  \code{\link{GDALReadOnlyDataset}}, \code{\link{GDALTransientDataset}}.}

\examples{}

\keyword{methods}
